# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "ext_batch/version"

Gem::Specification.new do |spec|
  spec.name          = "ext_batch"
  spec.version       = ExtBatch::VERSION
  spec.authors       = ["Ruby"]
  spec.email         = ["wu.chao@maisiteng.com"]

  spec.summary       = %q{Depending on the ext_logger gem package, create for batch. }
  spec.description   = %q{Depending on the ext_logger gem package, create for batch. The batch resource consumption can be recorded, and the specified mail can be sent according to the implementation of batch, and the mail format is fixed.}
  spec.homepage      = ""
  spec.license       = "MIT"

  # # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_dependency "mail", "~> 2.5"
  spec.add_dependency "sys-proctable", "~> 1.2"
  # spec.add_dependency "sidekiq", ">= 3.4"
  # spec.add_dependency "sidekiq-scheduler", "2.1.7"

  spec.add_dependency "ext_logger", "~> 0.2"
end
